import 'dart:convert';

class EtqanGetEmployeeRequestsModel {
  List<EtqanGetEmployeeOvrRequestsResponse>? etqanGetEmployeeOvrRequestsResponse;

  EtqanGetEmployeeRequestsModel({
    this.etqanGetEmployeeOvrRequestsResponse,
  });

  factory EtqanGetEmployeeRequestsModel.fromRawJson(String str) => EtqanGetEmployeeRequestsModel.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory EtqanGetEmployeeRequestsModel.fromJson(Map<String, dynamic> json) => EtqanGetEmployeeRequestsModel(
    etqanGetEmployeeOvrRequestsResponse: json["ETQAN_GetEmployeeOVRRequests_Response"] == null ? [] : List<EtqanGetEmployeeOvrRequestsResponse>.from(json["ETQAN_GetEmployeeOVRRequests_Response"]!.map((x) => EtqanGetEmployeeOvrRequestsResponse.fromJson(x))),
  );

  Map<String, dynamic> toJson() => {
    "ETQAN_GetEmployeeOVRRequests_Response": etqanGetEmployeeOvrRequestsResponse == null ? [] : List<dynamic>.from(etqanGetEmployeeOvrRequestsResponse!.map((x) => x.toJson())),
  };
}

class EtqanGetEmployeeOvrRequestsResponse {
  String? createdDate;
  String? description;
  String? id;
  bool? isAnonymous;
  String? status;
  String? statusAr;
  String? ticketNumber;

  EtqanGetEmployeeOvrRequestsResponse({
    this.createdDate,
    this.description,
    this.id,
    this.isAnonymous,
    this.status,
    this.statusAr,
    this.ticketNumber,
  });

  factory EtqanGetEmployeeOvrRequestsResponse.fromRawJson(String str) => EtqanGetEmployeeOvrRequestsResponse.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory EtqanGetEmployeeOvrRequestsResponse.fromJson(Map<String, dynamic> json) => EtqanGetEmployeeOvrRequestsResponse(
    createdDate: json["createdDate"],
    description: json["description"],
    id: json["id"],
    isAnonymous: json["isAnonymous"],
    status: json["status"],
    statusAr: json["statusAr"],
    ticketNumber: json["ticketNumber"],
  );

  Map<String, dynamic> toJson() => {
    "createdDate": createdDate,
    "description": description,
    "id": id,
    "isAnonymous": isAnonymous,
    "status": status,
    "statusAr": statusAr,
    "ticketNumber": ticketNumber,
  };
}
